Bug 204672 - [exp-run] Add PyQt5 ports, add pyqt USES, move qscintilla port
Summary: [exp-run] Add PyQt5 ports, add pyqt USES, move qscintilla port
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Guido Falsi
URL: https://reviews.freebsd.org/D2910
Keywords:
Depends on: 204975 205143
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-19 09:34 UTC by Guido Falsi
Modified: 2015-12-13 21:57 UTC (History)
3 users (show)

See Also:


Attachments
patch (475.42 KB, patch)
2015-11-19 09:34 UTC, Guido Falsi
no flags Details | Diff
revised patch (378.38 KB, patch)
2015-11-21 20:44 UTC, Guido Falsi
no flags Details | Diff
qpdfview patch (595 bytes, patch)
2015-11-21 20:45 UTC, Guido Falsi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Guido Falsi freebsd_committer 2015-11-19 09:34:20 UTC
Created attachment 163322 [details]
patch

Hi,

I'd like to ask for an exp-run with the attached patch, relative to the phabric review I added in the PR URL.

It adds PyQt5 to the ports tree and touches most of the existing PyQt4
infrastructure and the qscintilla ports. So anything depending on PyQt4,
and qscintilla should be tested, and, obviously, anything being added by
the patch itself.

Thanks in advance.
Comment 1 Antoine Brodin freebsd_committer 2015-11-19 18:04:18 UTC
Take for exp-run.

I had to copy qscintilla2 and qscintilla2-designerplugin to -qt4- so that the patch could apply.

Also I added/removed the SUBDIR += ... in categories Makefiles
Comment 2 Guido Falsi freebsd_committer 2015-11-19 18:16:56 UTC
Thanks, also for the fixes.

The need to move manually the directory is a problem caused by the patch I suspect, I did "svn mv" the file in my checkout.

I did actually forgot to fix the category Makefile so I'll fix that in the phabric review patch too.
Comment 3 Antoine Brodin freebsd_committer 2015-11-21 09:19:36 UTC
Exp-run results on 10.1 i386:

http://package22.nyi.freebsd.org/jail.html?mastername=101i386-default-PR204672

4 new failures (and 1 new skipped):

+ {"origin"=>"graphics/qgis", "pkgname"=>"qgis-2.12.0_1", "phase"=>"checksum", "errortype"=>"???"}
+ {"origin"=>"graphics/seexpr", "pkgname"=>"seexpr-1.0.1.2015.08.29", "phase"=>"build-depends", "errortype"=>"???"}
+ {"origin"=>"net-im/turpial", "pkgname"=>"turpial-3.0_3", "phase"=>"run-depends", "errortype"=>"???"}
+ {"origin"=>"print/qpdfview", "pkgname"=>"qpdfview-0.4.16", "phase"=>"build", "errortype"=>"???"}

Failure logs:

http://package22.nyi.freebsd.org/data/101i386-default-PR204672/2015-11-20_18h59m09s/logs/errors/qgis-2.12.0_1.log
http://package22.nyi.freebsd.org/data/101i386-default-PR204672/2015-11-20_18h59m09s/logs/errors/seexpr-1.0.1.2015.08.29.log
http://package22.nyi.freebsd.org/data/101i386-default-PR204672/2015-11-20_18h59m09s/logs/errors/turpial-3.0_3.log
http://package22.nyi.freebsd.org/data/101i386-default-PR204672/2015-11-20_18h59m09s/logs/errors/qpdfview-0.4.16.log

I can continue tests on another arch when those 4 errors are fixed
Comment 4 Antoine Brodin freebsd_committer 2015-11-21 19:37:29 UTC
The qpdfview failure may be a new failure from yesterday, not related to pyqt.
Comment 5 Guido Falsi freebsd_committer 2015-11-21 19:57:19 UTC
(In reply to Antoine Brodin from comment #4)

I suspected that. It's missing some build depends.

I've got it almost fixed though, I'll attach that as a separate patch though.

I'm almost done testing the fixes, I'll  attach a revised patch shortly.
Comment 6 Guido Falsi freebsd_committer 2015-11-21 20:44:59 UTC
Created attachment 163380 [details]
revised patch

This fixes the reported failures, except for the qpdfview one.

Thanks!
Comment 7 Guido Falsi freebsd_committer 2015-11-21 20:45:37 UTC
Created attachment 163381 [details]
qpdfview patch

Patch for the (unrelated) qpdfview problem.
Comment 8 Antoine Brodin freebsd_committer 2015-11-21 20:58:26 UTC
It seems py-qt5-designer was not added to devel/Makefile
Comment 10 Guido Falsi freebsd_committer 2015-11-22 20:21:58 UTC
Thanks!
Comment 11 commit-hook freebsd_committer 2015-12-13 21:57:02 UTC
A commit references this bug:

Author: rakuco
Date: Sun Dec 13 21:56:53 UTC 2015
New revision: 403693
URL: https://svnweb.freebsd.org/changeset/ports/403693

Log:
  At very long last land PyQt5 5.5.1 ports.

  Add the required bits to Uses/pyqt.mk along with all the PyQt5 ports.
  Thankfully this commit is mostly adding new ports, as the hard work was
  already done in r403297 and r403662.

  Huge kudos to Tobias Berner <tcberner@gmail.com> and, most importantly,
  Guido Falsi (madpilot@) for their initial work on these ports (see D2910 in
  Phabricator for an earlier version of the PyQt5 patch set).

  PR:		204672

Changes:
  head/Mk/Uses/pyqt.mk
  head/comms/Makefile
  head/comms/py-qt5-serialport/
  head/comms/py-qt5-serialport/Makefile
  head/comms/py-qt5-serialport/pkg-descr
  head/comms/py-qt5-serialport/pkg-plist
  head/databases/Makefile
  head/databases/py-qt5-sql/
  head/databases/py-qt5-sql/Makefile
  head/databases/py-qt5-sql/pkg-descr
  head/databases/py-qt5-sql/pkg-plist
  head/devel/Makefile
  head/devel/py-qt5/
  head/devel/py-qt5/Makefile
  head/devel/py-qt5/distinfo
  head/devel/py-qt5/pkg-descr
  head/devel/py-qt5-core/
  head/devel/py-qt5-core/Makefile
  head/devel/py-qt5-core/files/
  head/devel/py-qt5-core/files/Qt.py
  head/devel/py-qt5-core/files/patch-configure.py
  head/devel/py-qt5-core/pkg-descr
  head/devel/py-qt5-core/pkg-plist
  head/devel/py-qt5-dbus/
  head/devel/py-qt5-dbus/Makefile
  head/devel/py-qt5-dbus/pkg-descr
  head/devel/py-qt5-dbus/pkg-plist
  head/devel/py-qt5-dbussupport/
  head/devel/py-qt5-dbussupport/Makefile
  head/devel/py-qt5-dbussupport/pkg-descr
  head/devel/py-qt5-designer/
  head/devel/py-qt5-designer/Makefile
  head/devel/py-qt5-designer/pkg-descr
  head/devel/py-qt5-designer/pkg-plist
  head/devel/py-qt5-designerplugin/
  head/devel/py-qt5-designerplugin/Makefile
  head/devel/py-qt5-designerplugin/pkg-descr
  head/devel/py-qt5-qscintilla2/
  head/devel/py-qt5-qscintilla2/Makefile
  head/devel/py-qt5-qscintilla2/pkg-descr
  head/devel/py-qt5-qscintilla2/pkg-plist
  head/devel/py-qt5-test/
  head/devel/py-qt5-test/Makefile
  head/devel/py-qt5-test/pkg-descr
  head/devel/py-qt5-test/pkg-plist
  head/devel/qscintilla2-designerplugin-qt5/
  head/devel/qscintilla2-designerplugin-qt5/Makefile
  head/devel/qscintilla2-designerplugin-qt5/pkg-descr
  head/devel/qscintilla2-qt5/
  head/devel/qscintilla2-qt5/Makefile
  head/devel/qscintilla2-qt5/distinfo
  head/devel/qscintilla2-qt5/files/
  head/devel/qscintilla2-qt5/files/patch-Qt4Qt5_features_qscintilla2.prf
  head/devel/qscintilla2-qt5/files/patch-Qt4Qt5_qscintilla.pro
  head/devel/qscintilla2-qt5/pkg-descr
  head/devel/qscintilla2-qt5/pkg-plist
  head/graphics/Makefile
  head/graphics/py-qt5-svg/
  head/graphics/py-qt5-svg/Makefile
  head/graphics/py-qt5-svg/pkg-descr
  head/graphics/py-qt5-svg/pkg-plist
  head/lang/Makefile
  head/lang/py-qt5-qml/
  head/lang/py-qt5-qml/Makefile
  head/lang/py-qt5-qml/pkg-descr
  head/lang/py-qt5-qml/pkg-plist
  head/misc/Makefile
  head/misc/py-qt5-demo/
  head/misc/py-qt5-demo/Makefile
  head/misc/py-qt5-demo/pkg-descr
  head/misc/py-qt5-demo/pkg-plist
  head/misc/py-qt5-doc/
  head/misc/py-qt5-doc/Makefile
  head/misc/py-qt5-doc/pkg-descr
  head/misc/py-qt5-doc/pkg-plist
  head/multimedia/Makefile
  head/multimedia/py-qt5-multimedia/
  head/multimedia/py-qt5-multimedia/Makefile
  head/multimedia/py-qt5-multimedia/pkg-descr
  head/multimedia/py-qt5-multimedia/pkg-plist
  head/multimedia/py-qt5-multimediawidgets/
  head/multimedia/py-qt5-multimediawidgets/Makefile
  head/multimedia/py-qt5-multimediawidgets/pkg-descr
  head/multimedia/py-qt5-multimediawidgets/pkg-plist
  head/net/Makefile
  head/net/py-qt5-network/
  head/net/py-qt5-network/Makefile
  head/net/py-qt5-network/pkg-descr
  head/net/py-qt5-network/pkg-plist
  head/print/Makefile
  head/print/py-qt5-printsupport/
  head/print/py-qt5-printsupport/Makefile
  head/print/py-qt5-printsupport/pkg-descr
  head/print/py-qt5-printsupport/pkg-plist
  head/textproc/Makefile
  head/textproc/py-qt5-xml/
  head/textproc/py-qt5-xml/Makefile
  head/textproc/py-qt5-xml/pkg-descr
  head/textproc/py-qt5-xml/pkg-plist
  head/textproc/py-qt5-xmlpatterns/
  head/textproc/py-qt5-xmlpatterns/Makefile
  head/textproc/py-qt5-xmlpatterns/pkg-descr
  head/textproc/py-qt5-xmlpatterns/pkg-plist
  head/www/Makefile
  head/www/py-qt5-webkit/
  head/www/py-qt5-webkit/Makefile
  head/www/py-qt5-webkit/pkg-descr
  head/www/py-qt5-webkit/pkg-plist
  head/www/py-qt5-webkitwidgets/
  head/www/py-qt5-webkitwidgets/Makefile
  head/www/py-qt5-webkitwidgets/pkg-descr
  head/www/py-qt5-webkitwidgets/pkg-plist
  head/x11/Makefile
  head/x11/py-qt5-opengl/
  head/x11/py-qt5-opengl/Makefile
  head/x11/py-qt5-opengl/pkg-descr
  head/x11/py-qt5-opengl/pkg-plist
  head/x11-toolkits/Makefile
  head/x11-toolkits/py-qt5-gui/
  head/x11-toolkits/py-qt5-gui/Makefile
  head/x11-toolkits/py-qt5-gui/pkg-descr
  head/x11-toolkits/py-qt5-gui/pkg-plist
  head/x11-toolkits/py-qt5-widgets/
  head/x11-toolkits/py-qt5-widgets/Makefile
  head/x11-toolkits/py-qt5-widgets/pkg-descr
  head/x11-toolkits/py-qt5-widgets/pkg-plist
Comment 12 Raphael Kubo da Costa freebsd_committer 2015-12-13 21:57:57 UTC
Finally landed. Thanks, everyone!